import {driveListData} from "@/views/dataSourceManage/driveManage/driveData";

/** 获取数据源-连接-驱动管理列表信息*/
export const getDriveListByPage = (params?: any) => {
  return new Promise((resolve) => {
    setTimeout(() => {
      if (params && params.page && params.pageSize) {
        const start = (params.page - 1) * params.pageSize
        const end = start + params.pageSize
        const response = {
          pageNum: params.page, // 页码
          pageSize: params.pageSize, // 每页大小
          pages: 1, // 总页数
          total: driveListData.length, // 总记录数
          code: 200, // 假设 0 表示成功
          message: 'success', // 成功的消息
          data: driveListData.slice(start, end) // 模拟分页，只取前10条数据
        };
        resolve(response); // 解析 Promise
      } else {
        const response = {
          pageNum: 1,
          pageSize: driveListData.length,
          pages: 1, // 总页数
          total: driveListData.length, // 总记录数
          code: 200, // 假设 0 表示成功
          message: 'success', // 成功的消息
          data: driveListData
        };
        resolve(response); // 解析 Promise
      }
    }, Math.floor(Math.random() * 1000) + 1); // 随机延迟1到1500毫秒
  });
};

/** 根据 驱动id 删除*/
export const deleteById = (params?: any) => {
  return new Promise((resolve) => {
    setTimeout(() => {
      const response = {
        code: 200, // 假设 0 表示成功
        message: 'success', // 成功的消息
        data: []
      };
      resolve(response); // 解析 Promise
    }, Math.floor(Math.random() * 1000) + 1); // 随机延迟1到1500毫秒
  });
};

/** 新增 驱动 */
export const addDrive = (params?: any) => {
  return new Promise((resolve) => {
    setTimeout(() => {
      const response = {
        code: 200, // 假设 0 表示成功
        message: 'success', // 成功的消息
        data: []
      };
      resolve(response); // 解析 Promise
    }, Math.floor(Math.random() * 1000) + 1); // 随机延迟1到1500毫秒
  });
};

/** 修改 驱动 */
export const updateDrive = (params?: any) => {
  return new Promise((resolve) => {
    setTimeout(() => {
      const response = {
        code: 200, // 假设 0 表示成功
        message: 'success', // 成功的消息
        data: []
      };
      resolve(response); // 解析 Promise
    }, Math.floor(Math.random() * 1000) + 1); // 随机延迟1到1500毫秒
  });
};
